Subject: bug#48966: closed (Re: svt-hevc sha256 missmatch.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Jun 2021 08:54:02 +0000

Your bug report

#48966: svt-hevc sha256 missmatch.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48966: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48966
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: svt-hevc sha256 missmatch.
From: Tobias Geerinckx-Rice <[email-masked]>
To: Brendan Tildesley <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Jun 2021 10:53:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Brendan,

Brendan Tildesley 写道：
> Tobias, are you able to figure out what changed?

I updated svt-hevc to the v1.5.1 tag on 29 May.  On 2 June, 
upstream noticed that they (I guess, by their standards) made a 
mistake, fixed it[0], and moved the v1.5.1 tag to point to it. 
That's bad practice but it happens.

Fixed in 00727470b92e0b8ab0e00dd2cd87495c0c136341.

Thanks for the puz, cuz,

T G-R

PS: Did you send this bug mail differently?  Only [email-masked] 
was in Cc:, I had to add <nnn>[-done]@ myself.  Could just be 
Debbugs weirdness of course.

[0]: 
https://github.com/OpenVisualCloud/SVT-HEVC/commit/b65eba07e6dee37407631cc441561960838b0333

Subject: svt-hevc sha256 missmatch.
From: Brendan Tildesley <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 12 Jun 2021 06:32:50 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Since I don't know what in the files have changed and why I haven't submitted a patch to update it.
Tobias, are you able to figure out what changed?

Initialized empty Git repository in /gnu/store/83j8mz97smxm4frp6ax0k16j3zj8a8sp-svt-hevc-1.5.1-checkout/.git/
>From https://github.com/OpenVisualCloud/SVT-HEVC
 * tag               v1.5.1     -> FETCH_HEAD
Note: switching to 'FETCH_HEAD'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -c with the switch command. Example:

  git switch -c <new-branch-name>

Or undo this operation with:

  git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at b65eba0 Update version to 1.5.1
r:sha256 hash mismatch for /gnu/store/83j8mz97smxm4frp6ax0k16j3zj8a8sp-svt-hevc-1.5.1-checkout:
  expected hash: 0rac70p6rpvdx9v0bdd8nphgr7imdxb7nz0x77n3p7h3180zz9x0
  actual hash:   1cv6vcf5yxcwdvj5yqcckbixqrvvdxk7ibincnnv80pz6wh527sv
hash mismatch for store item '/gnu/store/83j8mz97smxm4frp6ax0k16j3zj8a8sp-svt-hevc-1.5.1-checkout'
build of /gnu/store/51k6p67lw63kwwpmpx5mbxmlaxm2vaw7-svt-hevc-1.5.1-checkout.drv failed
View build log at '/var/log/guix/drvs/51/k6p67lw63kwwpmpx5mbxmlaxm2vaw7-svt-hevc-1.5.1-checkout.drv.bz2'.
note: keeping build directory `/tmp/guix-build-svt-hevc-1.5.1-checkout.drv-0'
guix build: error: build of `/gnu/store/51k6p67lw63kwwpmpx5mbxmlaxm2vaw7-svt-hevc-1.5.1-checkout.drv' failed